Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class XMLObjectInputStream.GetField

    java.lang.Object
      java.io.ObjectInputStream.GetField
          rice.p2p.util.XMLObjectInputStream.GetField

Enclosing class:
  XMLObjectInputStream

    public class XMLObjectInputStream.GetField

extends java.io.ObjectInputStream.GetField

This class is an implementation of GetField which is compatible with the XMLObjectInputStreamm. It works in the same manner as the ObjectInputStreamm.GetField.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`protected java.util.HashMap` | `objects` DESCRIBE THE FIELD
`protected java.util.HashMap` | `primitives` DESCRIBE THE FIELD

Constructor Summary
`XMLObjectInputStream.GetField()`

Method Summary
`boolean` | `defaulted(java.lang.String name)` DESCRIBE THE METHOD
`boolean` | `get(java.lang.String name, boolean value)` DESCRIBE THE METHOD
`byte` | `get(java.lang.String name, byte value)` DESCRIBE THE METHOD
`char` | `get(java.lang.String name, char value)` DESCRIBE THE METHOD
`double` | `get(java.lang.String name, double value)` DESCRIBE THE METHOD
`float` | `get(java.lang.String name, float value)` DESCRIBE THE METHOD
`int` | `get(java.lang.String name, int value)` DESCRIBE THE METHOD
`long` | `get(java.lang.String name, long value)` DESCRIBE THE METHOD
`java.lang.Object` | `get(java.lang.String name, java.lang.Object value)` DESCRIBE THE METHOD
`short` | `get(java.lang.String name, short value)` DESCRIBE THE METHOD
`java.io.ObjectStreamClass` | `getObjectStreamClass()` Gets the ObjectStreamClass attribute of the GetField object
`protected void` | `put(java.lang.String name, boolean value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, byte value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, char value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, double value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, float value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, int value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, long value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, java.lang.Object value)` DESCRIBE THE METHOD
`protected void` | `put(java.lang.String name, short value)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### primitives

    protected java.util.HashMap primitives

  DESCRIBE THE FIELD

### objects

    protected java.util.HashMap objects

  DESCRIBE THE FIELD

Constructor Detail

### XMLObjectInputStream.GetField

    public XMLObjectInputStream.GetField()

Method Detail

### get

    public boolean get(java.lang.String name,
                       boolean value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public byte get(java.lang.String name,
                    byte value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public char get(java.lang.String name,
                    char value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public double get(java.lang.String name,
                      double value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public float get(java.lang.String name,
                     float value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public int get(java.lang.String name,
                   int value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public long get(java.lang.String name,
                    long value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public short get(java.lang.String name,
                     short value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### get

    public java.lang.Object get(java.lang.String name,
                                java.lang.Object value)

  DESCRIBE THE METHOD

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### getObjectStreamClass

    public java.io.ObjectStreamClass getObjectStreamClass()

  Gets the ObjectStreamClass attribute of the GetField object

  Specified by:
    `getObjectStreamClass` in class `java.io.ObjectInputStream.GetField`
  Returns:
    The ObjectStreamClass value

### defaulted

    public boolean defaulted(java.lang.String name)

  DESCRIBE THE METHOD

  Specified by:
    `defaulted` in class `java.io.ObjectInputStream.GetField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### put

    protected void put(java.lang.String name,
                       boolean value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       byte value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       char value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       double value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       float value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       int value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       long value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       short value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    protected void put(java.lang.String name,
                       java.lang.Object value)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.